org.mariadb.jdbc.internal.mysql.listener.impl

## Class MastersSlavesListener.PingLoop

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.listener.impl.MastersSlavesListener.PingLoop

All Implemented Interfaces:
  Runnable

Enclosing class:
  MastersSlavesListener

    protected class MastersSlavesListener.PingLoop
    extends Object
    implements Runnable

private class to chech of currents connections are still ok.

### Constructor Summary

Constructors
Constructor and Description
`PingLoop(MastersSlavesListener listener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PingLoop

    public PingLoop(MastersSlavesListener listener)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`